import { getAuthor } from "vuepress-shared/lib/client";
import Vue from "vue";
import AuthorIcon from "./icons/AuthorIcon.vue";
import { pageInfoLocales } from "../define";
export default Vue.extend({
    name: "AuthorInfo",
    components: { AuthorIcon },
    props: {
        defaultAuthor: {
            type: String,
            default: "",
        },
    },
    computed: {
        author() {
            var _a;
            const { author } = this.$frontmatter;
            return ((_a = getAuthor(author)[0]) === null || _a === void 0 ? void 0 : _a.name) || this.defaultAuthor;
        },
        hint() {
            return pageInfoLocales[this.$localePath].author;
        },
    },
});
//# sourceMappingURL=AuthorInfo.js.map