"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.componentPlugin = void 0;
const vuepress_shared_1 = require("vuepress-shared");
const path_1 = require("path");
const locales_1 = require("./locales");
const componentPlugin = (options, context) => {
    const plugins = [];
    if (options.pageinfo)
        plugins.push(["@mr-hope/git", true], ["reading-time1", { wordPerminute: options.wordPerminute }]);
    const PLUGIN_NAME = "@mr-hope/vuepress-plugin-components";
    return {
        name: PLUGIN_NAME,
        alias: {
            "@BackToTop": options.backToTop
                ? (0, path_1.resolve)(__dirname, "../client/BackToTop.vue")
                : vuepress_shared_1.noopModule,
            "@BreadCrumb": options.breadcrumb
                ? (0, path_1.resolve)(__dirname, "../client/BreadCrumb.vue")
                : vuepress_shared_1.noopModule,
            "@Badge": options.badge
                ? (0, path_1.resolve)(__dirname, "../client/Badge.vue")
                : vuepress_shared_1.noopModule,
            "@PageInfo": options.pageinfo
                ? (0, path_1.resolve)(__dirname, "../client/PageInfo.vue")
                : vuepress_shared_1.noopModule,
            "@Pagination": options.pagination
                ? (0, path_1.resolve)(__dirname, "../client/Pagination.vue")
                : vuepress_shared_1.noopModule,
            "@ScreenFull": options.screenFull
                ? (0, path_1.resolve)(__dirname, "../client/ScreenFull.vue")
                : vuepress_shared_1.noopModule,
        },
        define: () => ({
            BACK_TO_TOP_THRESHOLD: options.backToTopThreshold || 300,
            COMPONENT_LOCALES: (0, vuepress_shared_1.getLocales)({
                context,
                name: PLUGIN_NAME,
                default: locales_1.componentLocales,
                config: options.locales,
            }),
            PAGE_INFO_LOCALES: (0, vuepress_shared_1.getLocales)({
                context,
                name: PLUGIN_NAME,
                config: options.pageInfoLocales,
                default: locales_1.pageInfoLocales,
            }),
            PAGINATION_LOCALES: (0, vuepress_shared_1.getLocales)({
                context,
                name: PLUGIN_NAME,
                config: options.paginationLocales,
                default: locales_1.paginationLocales,
            }),
        }),
        enhanceAppFiles: (0, path_1.resolve)(__dirname, "../client/enhanceAppFile.js"),
        globalUIComponents: options.backToTop ? "BackToTop" : [],
        plugins,
    };
};
exports.componentPlugin = componentPlugin;
//# sourceMappingURL=plugin.js.map